using Microsoft.VisualBasic.CompilerServices;
using Microsoft.VisualBasic;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FAS_LIB
{
    public class scOrderLinesExt
    {
        private int _OrderLineExtId;
        private int _OrderLineId;
        private string _OrderLineSER;
        private Decimal _OrderLineBook;
        private Decimal _OrderLineNet;
        private DateTime _OrderLineOrgTargetDt;
        private DateTime _OrderLineCurTargetDt;
        private DateTime _OrderLineOrgShipDt;
        private DateTime _OrderLineOrgAssyStDt;
        private DateTime _OrderLineCurAssyStDt;
        private DateTime _OrderLineActAssyStDt;
        private DateTime _OrderLineOrgEngrRelDt;
        private DateTime _OrderLineCurEngrRelDt;
        private DateTime _OrderLineActEngrRelDt;
        private DateTime _OrderLineNB4Dt;
        private string _OrderLineEngrGrp;
        private string _OrderLineMechClpx;
        private string _OrderLineElecClpx;
        private scAssociateData _OrderLineOE;
        private scAssociateData _OrderLineME;
        private long _OrderLineEngComposite;
        private List<scOrderLineComment> _OrderComments;
        private List<scOrderLineStat> _OrderStatus;
        private string _OrderLinePeltCode;
        private DateTime _OrderLineOrgCustRelDt;
        private DateTime _OrderLineCurCustRelDt;
        private DateTime _OrderLineActCustRelDt;
        private DateTime _OrderLineOrgMechDDDt;
        private DateTime _OrderLineCurMechDDDt;
        private DateTime _OrderLineActMechDDDt;
        private DateTime _OrderLineOrgAECompDt;
        private DateTime _OrderLineCurAECompDt;
        private DateTime _OrderLineActAECompDt;
        private DateTime _OrderLineOrgEECompDt;
        private DateTime _OrderLineCurEECompDt;
        private DateTime _OrderLineActEECompDt;
        private DateTime _OrderLineOrgAppElecDt;
        private DateTime _OrderLineCurAppElecDt;
        private DateTime _OrderLineActAppElecDt;
        private DateTime _OrderLineOrgAppSentDt;
        private DateTime _OrderLineCurAppSentDt;
        private DateTime _OrderLineActAppSentDt;
        private scAssociateData _OrderLineAE;
        private scAssociateData _OrderLineDM;
        private scAssociateData _OrderLineCSR;
        private string _OrderLineCplxA;
        private string _OrderLineCplxB;
        private string _OrderLineCplxC;
        private int _OrderLineAEHrs;
        private int _OrderLineMDHrs;
        private int _OrderLineEDHrs;
        private string _OrderLineCOTPP;

        public int OrderLineExtId
        {
            get
            {
                return this._OrderLineExtId;
            }
            set
            {
                this._OrderLineExtId = value;
            }
        }

        public int OrderLineId
        {
            get
            {
                return this._OrderLineId;
            }
            set
            {
                this._OrderLineId = value;
            }
        }

        public string OrderLineSER
        {
            get
            {
                return this._OrderLineSER;
            }
            set
            {
                this._OrderLineSER = value;
            }
        }

        public Decimal OrderLineBook
        {
            get
            {
                return this._OrderLineBook;
            }
            set
            {
                this._OrderLineBook = value;
            }
        }

        public Decimal OrderLineNet
        {
            get
            {
                return this._OrderLineNet;
            }
            set
            {
                this._OrderLineNet = value;
            }
        }

        public DateTime OrderLineOrgTargetDt
        {
            get
            {
                return this._OrderLineOrgTargetDt;
            }
            set
            {
                this._OrderLineOrgTargetDt = value;
            }
        }

        public DateTime OrderLineCurTargetDt
        {
            get
            {
                return this._OrderLineCurTargetDt;
            }
            set
            {
                this._OrderLineCurTargetDt = value;
            }
        }

        public DateTime OrderLineOrgShipDt
        {
            get
            {
                return this._OrderLineOrgShipDt;
            }
            set
            {
                this._OrderLineOrgShipDt = value;
            }
        }

        public DateTime OrderLineOrgAssyStDt
        {
            get
            {
                return this._OrderLineOrgAssyStDt;
            }
            set
            {
                this._OrderLineOrgAssyStDt = value;
            }
        }

        public DateTime OrderLineCurAssyStDt
        {
            get
            {
                return this._OrderLineCurAssyStDt;
            }
            set
            {
                this._OrderLineCurAssyStDt = value;
            }
        }

        public DateTime OrderLineActAssyStDt
        {
            get
            {
                return this._OrderLineActAssyStDt;
            }
            set
            {
                this._OrderLineActAssyStDt = value;
            }
        }

        public DateTime OrderLineOrgEngrRelDt
        {
            get
            {
                return this._OrderLineOrgEngrRelDt;
            }
            set
            {
                this._OrderLineOrgEngrRelDt = value;
            }
        }

        public DateTime OrderLineCurEngrRelDt
        {
            get
            {
                return this._OrderLineCurEngrRelDt;
            }
            set
            {
                this._OrderLineCurEngrRelDt = value;
            }
        }

        public DateTime OrderLineActEngrRelDt
        {
            get
            {
                return this._OrderLineActEngrRelDt;
            }
            set
            {
                this._OrderLineActEngrRelDt = value;
            }
        }

        public DateTime OrderLineNB4Dt
        {
            get
            {
                return this._OrderLineNB4Dt;
            }
            set
            {
                this._OrderLineNB4Dt = value;
            }
        }

        public string OrderLineMechClpx
        {
            get
            {
                return this._OrderLineMechClpx;
            }
            set
            {
                this._OrderLineMechClpx = value;
            }
        }

        public string OrderLineElecClpx
        {
            get
            {
                return this._OrderLineElecClpx;
            }
            set
            {
                this._OrderLineElecClpx = value;
            }
        }

        public string OrderLineEngrGrp
        {
            get
            {
                return this._OrderLineEngrGrp;
            }
            set
            {
                this._OrderLineEngrGrp = value;
            }
        }

        public scAssociateData OrderLineOE
        {
            get
            {
                return this._OrderLineOE;
            }
            set
            {
                this._OrderLineOE = value;
            }
        }

        public string OrderLineOEName
        {
            get
            {
                return this._OrderLineOE.AssocName;
            }
        }

        public scAssociateData OrderLineME
        {
            get
            {
                return this._OrderLineME;
            }
            set
            {
                this._OrderLineME = value;
            }
        }

        public string OrderLineMEName
        {
            get
            {
                return this._OrderLineME.AssocName;
            }
        }

        public long OrderLineEngComposite
        {
            get
            {
                return this._OrderLineEngComposite;
            }
            set
            {
                this._OrderLineEngComposite = value;
            }
        }

        public string OrderLinePeltCode
        {
            get
            {
                return this._OrderLinePeltCode;
            }
            set
            {
                this._OrderLinePeltCode = value;
            }
        }

        public List<scOrderLineComment> OrderComments
        {
            get
            {
                return this._OrderComments;
            }
            set
            {
                this._OrderComments = value;
            }
        }

        public List<scOrderLineStat> OrderStatus
        {
            get
            {
                return this._OrderStatus;
            }
            set
            {
                this._OrderStatus = value;
            }
        }

        public int EngrRelCurVSEngrRelAct
        {
            get
            {
                return Conversions.ToInteger(Strings.FormatNumber((object)(this._OrderLineActEngrRelDt - this._OrderLineCurEngrRelDt).TotalDays, 1, TriState.UseDefault, TriState.UseDefault, TriState.UseDefault));
            }
        }

        public DateTime OrderLineOrgCustRelDt
        {
            get
            {
                return this._OrderLineOrgCustRelDt;
            }
            set
            {
                this._OrderLineOrgCustRelDt = value;
            }
        }

        public DateTime OrderLineCurCustRelDt
        {
            get
            {
                return this._OrderLineCurCustRelDt;
            }
            set
            {
                this._OrderLineCurCustRelDt = value;
            }
        }

        public DateTime OrderLineActCustRelDt
        {
            get
            {
                return this._OrderLineActCustRelDt;
            }
            set
            {
                this._OrderLineActCustRelDt = value;
            }
        }

        public DateTime OrderLineOrgMechDDDt
        {
            get
            {
                return this._OrderLineOrgMechDDDt;
            }
            set
            {
                this._OrderLineOrgMechDDDt = value;
            }
        }

        public DateTime OrderLineCurMechDDDt
        {
            get
            {
                return this._OrderLineCurMechDDDt;
            }
            set
            {
                this._OrderLineCurMechDDDt = value;
            }
        }

        public DateTime OrderLineActMechDDDt
        {
            get
            {
                return this._OrderLineActMechDDDt;
            }
            set
            {
                this._OrderLineActMechDDDt = value;
            }
        }

        public DateTime OrderLineOrgAECompDt
        {
            get
            {
                return this._OrderLineOrgAECompDt;
            }
            set
            {
                this._OrderLineOrgAECompDt = value;
            }
        }

        public DateTime OrderLineCurAECompDt
        {
            get
            {
                return this._OrderLineCurAECompDt;
            }
            set
            {
                this._OrderLineCurAECompDt = value;
            }
        }

        public DateTime OrderLineActAECompDt
        {
            get
            {
                return this._OrderLineActAECompDt;
            }
            set
            {
                this._OrderLineActAECompDt = value;
            }
        }

        public DateTime OrderLineOrgEECompDt
        {
            get
            {
                return this._OrderLineOrgEECompDt;
            }
            set
            {
                this._OrderLineOrgEECompDt = value;
            }
        }

        public DateTime OrderLineCurEECompDt
        {
            get
            {
                return this._OrderLineCurEECompDt;
            }
            set
            {
                this._OrderLineCurEECompDt = value;
            }
        }

        public DateTime OrderLineActEECompDt
        {
            get
            {
                return this._OrderLineActEECompDt;
            }
            set
            {
                this._OrderLineActEECompDt = value;
            }
        }

        public DateTime OrderLineOrgAppElecDt
        {
            get
            {
                return this._OrderLineOrgAppElecDt;
            }
            set
            {
                this._OrderLineOrgAppElecDt = value;
            }
        }

        public DateTime OrderLineCurAppElecDt
        {
            get
            {
                return this._OrderLineCurAppElecDt;
            }
            set
            {
                this._OrderLineCurAppElecDt = value;
            }
        }

        public DateTime OrderLineActAppElecDt
        {
            get
            {
                return this._OrderLineActAppElecDt;
            }
            set
            {
                this._OrderLineActAppElecDt = value;
            }
        }

        public DateTime OrderLineOrgAppSentDt
        {
            get
            {
                return this._OrderLineOrgAppSentDt;
            }
            set
            {
                this._OrderLineOrgAppSentDt = value;
            }
        }

        public DateTime OrderLineCurAppSentDt
        {
            get
            {
                return this._OrderLineCurAppSentDt;
            }
            set
            {
                this._OrderLineCurAppSentDt = value;
            }
        }

        public DateTime OrderLineActAppSentDt
        {
            get
            {
                return this._OrderLineActAppSentDt;
            }
            set
            {
                this._OrderLineActAppSentDt = value;
            }
        }

        public scAssociateData OrderLineAE
        {
            get
            {
                return this._OrderLineAE;
            }
            set
            {
                this._OrderLineAE = value;
            }
        }

        public scAssociateData OrderLineDM
        {
            get
            {
                return this._OrderLineDM;
            }
            set
            {
                this._OrderLineDM = value;
            }
        }

        public scAssociateData OrderLineCSR
        {
            get
            {
                return this._OrderLineCSR;
            }
            set
            {
                this._OrderLineCSR = value;
            }
        }

        public string OrderLineAEName
        {
            get
            {
                return this._OrderLineAE.AssocName;
            }
        }

        public string OrderLineDMName
        {
            get
            {
                return this._OrderLineDM.AssocName;
            }
        }

        public string OrderLineCSRName
        {
            get
            {
                return this._OrderLineCSR.AssocName;
            }
        }

        public string OrderLineCplxA
        {
            get
            {
                return this._OrderLineCplxA;
            }
            set
            {
                this._OrderLineCplxA = value;
            }
        }

        public string OrderLineCplxB
        {
            get
            {
                return this._OrderLineCplxB;
            }
            set
            {
                this._OrderLineCplxB = value;
            }
        }

        public string OrderLineCplxC
        {
            get
            {
                return this._OrderLineCplxC;
            }
            set
            {
                this._OrderLineCplxC = value;
            }
        }

        public int OrderLineAEHrs
        {
            get
            {
                return this._OrderLineAEHrs;
            }
            set
            {
                this._OrderLineAEHrs = value;
            }
        }

        public int OrderLineMDHrs
        {
            get
            {
                return this._OrderLineMDHrs;
            }
            set
            {
                this._OrderLineMDHrs = value;
            }
        }

        public int OrderLineEDHrs
        {
            get
            {
                return this._OrderLineEDHrs;
            }
            set
            {
                this._OrderLineEDHrs = value;
            }
        }

        public string OrderLineCOTPP
        {
            get
            {
                return this._OrderLineCOTPP;
            }
            set
            {
                this._OrderLineCOTPP = value;
            }
        }

        public scOrderLinesExt()
        {
            this._OrderLineExtId = 0;
            this._OrderLineId = 0;
            this._OrderLineSER = "";
            this._OrderLineBook = new Decimal();
            this._OrderLineNet = new Decimal();
            this._OrderLineOrgTargetDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurTargetDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgShipDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgAssyStDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurAssyStDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActAssyStDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgEngrRelDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurEngrRelDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActEngrRelDt = Conversions.ToDate("01/01/1901");
            this._OrderLineNB4Dt = Conversions.ToDate("01/01/1901");
            this._OrderLineMechClpx = "";
            this._OrderLineElecClpx = "";
            this._OrderLineEngrGrp = "";
            this._OrderLineOE = new scAssociateData();
            this._OrderLineME = new scAssociateData();
            this._OrderLineEngComposite = 0L;
            this._OrderLinePeltCode = "";
            this._OrderLineOrgCustRelDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurCustRelDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActCustRelDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgMechDDDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurMechDDDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActMechDDDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgAECompDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurAECompDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActAECompDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgEECompDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurEECompDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActEECompDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgAppElecDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurAppElecDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActAppElecDt = Conversions.ToDate("01/01/1901");
            this._OrderLineOrgAppSentDt = Conversions.ToDate("01/01/1901");
            this._OrderLineCurAppSentDt = Conversions.ToDate("01/01/1901");
            this._OrderLineActAppSentDt = Conversions.ToDate("01/01/1901");
            this._OrderLineAE = new scAssociateData();
            this._OrderLineDM = new scAssociateData();
            this._OrderLineCSR = new scAssociateData();
            this._OrderLineCplxA = "";
            this._OrderLineCplxB = "";
            this._OrderLineCplxC = "";
            this._OrderLineAEHrs = 0;
            this._OrderLineMDHrs = 0;
            this._OrderLineEDHrs = 0;
            this._OrderLineCOTPP = "";
        }

        public string get_GetComment(int Index)
        {
            if (this._OrderComments != null && Index >= 0 & Index < this._OrderComments.Count)
                return this._OrderComments[Index].OrderLineComment;
            return "";
        }

        public string get_GetStatus(int Index)
        {
            if (this._OrderStatus != null && Index >= 0 & Index < this._OrderStatus.Count)
                return this._OrderStatus[Index].OrderLineStatus;
            return "";
        }
    }
}
